1. Operations
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle service
    • Debt Collection services
    • Accounting integrations
    • Print and Distribution service
      • Overview
    • Operations
      • Retrieve Finvoice Credentials
      • Case & Invoice Status Lookup
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
      • Settings
        • GetCOA
    • Operations
      • Retrieve Finvoice Credentials
        GET
      • Invoice Inquiry (Partner Portal)
        POST
      • Retrieve payment allocations
        GET
      • Retrieve GL transactions
        GET
      • Retrieve Intermediated Invoices data
        GET
      • Retrieve Lifecycle Invoices data
        GET
  • Schemas
    • Finvoice Credentials Response
    • Invoice Header object
    • Invoice Parties
    • Invoice Attachments
    • InvoiceExtensions
    • Client Settings
    • DebtorBalanceResponse
    • Accounting
    • Address
    • Creditor
    • DebtorBalanceQuery
    • BuyerParty
    • CurrencyTotals
    • Collection
    • Collection Costs
    • Debtor
    • Collection Interest
    • Balance
    • Contact
    • Settlement
    • Contact Person
    • DebtorInvoice
    • Generic400
    • Unauthorized
    • Definition Detail
    • Delivery Party
    • Distribution
    • Factoring
    • Interest
    • InvoiceAmounts
    • Invoice Content Data
    • Invoice Recipient Party
    • InvoiceReferences
    • InvoiceRowData
    • InvoiceTerms
    • PaymentData
    • Payment Details
    • PaymentState
    • PaymentTerms
    • Processing
    • SalesInvoiceRequest
    • Seller Party
Need help?
  1. Operations

Retrieve payment allocations

Designing
GET
https://staging-integrations.confirmafinance.com/api/v1/partner/payment-allocations
payment allocations
Fetch the allocated received payments from the collection agency. Data is available after the settlement has been created for the payment transactions.
Use this data to allocate payments in your accounting system.
Payload content
This endpoint returns an JSON object and array containing allocated payments by the agency. Data is collected per settlement.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "creditor": {
    "creditorNo": 12345,
    "name": "Acme Oy",
    "businessId": "12345678"
  },
  "query": {
    "settlementNo": 456789,
    "allocationDate": null
  },
  "batches": [
    {
      "settlementNo": 456789,
      "accountNo": "FI2112345600000785",
      "currency": "EUR",
      "recordCount": 2,
      "totalAmount": 1295.00,
      "payments": [
        {
          "debtNo": 998877,
          "invoiceNo": "INV-2026-001",
          "paymentNo": 4,
          "allocationType": "POK",
          "allocationDate": "2026-08-04",
          "paymentDate": "2026-08-01",
          "reference": "10025883",
          "originalReference": "55501234",
          "reportingReference": "55501234",
          "debtorPartyNo": "445566",
          "debtorName": "Meikalainen",
          "amount": 1250.00,
          "creditFlag": false
        },
        {
          "debtNo": 998877,
          "invoiceNo": "INV-2026-001",
          "allocationType": "VKO",
          "allocationDate": "2026-08-04",
          "paymentDate": "2026-08-01",
          "reference": "10025883",
          "originalReference": null,
          "reportingReference": "10025883",
          "debtorPartyNo": "445566",
          "debtorName": "Meikalainen",
          "amount": 45.00,
          "creditFlag": false
        }
      ]
    }
  ],
  "batchCount": 1,
  "paymentCount": 2
}
🟠400Generic 400
🟠401Unauthorized
Previous
Invoice Inquiry (Partner Portal)
Next
Retrieve GL transactions
Built with